/**
 * A data structure to quickly convert between keys and values
 * while ensuring removing one also removes the other
 * */
export declare class BidirectionalMap<K, V> {
    keyToValue: Map<K, V>;
    valueToKey: Map<V, K>;
    private deleteEntry;
    get size(): number;
    deleteByValue(value: V): void;
    deleteByKey(key: K): void;
    set(key: K, value: V): void;
    getKey(value: V): K | undefined;
    getValue(key: K): V | undefined;
    keys(): IterableIterator<K>;
    values(): IterableIterator<V>;
    entries(): IterableIterator<[K, V]>;
}
