export type DebounceCallbackFn<T extends any[]> = (...args: T) => any;
export declare class Debouncer<T extends any[] = any[]> {
    private debounceTime;
    private maxDebounceTime?;
    private lastExecutionAt;
    private timeoutRef;
    private callback;
    constructor(debounceTime: number, maxDebounceTime: number, callback: DebounceCallbackFn<T>);
    private shouldDebounce;
    debounce(...args: T): void;
    private fire;
    flush(...args: T): void;
    clear(): void;
}
