import type { IDisposable } from "./Disposable";
import { Disposable } from "./Disposable";
export type EventEmitterEvent = {
    type: string;
    data?: any;
};
export interface EventListener<E extends EventEmitterEvent> {
    <T extends E["type"]>(type: T, listener: (data: E extends {
        type: T;
    } ? E["data"] : never) => any): IDisposable;
}
/**
 * @deprecated
 * Use Emitter instead
 */
export declare class EventEmitter<E extends EventEmitterEvent> extends Disposable {
    private registeredListeners;
    private _on;
    constructor();
    get on(): EventListener<E>;
    onType<T extends E["type"]>(type: T): (cb: (params: E extends {
        type: T;
    } ? E["data"] : never) => void) => void;
    emit<T extends E["type"]>(type: T, data: E extends {
        type: T;
        data: any;
    } ? E["data"] : void): void;
    emitType<T extends E["type"]>(type: T): (data: E extends {
        type: T;
        data: any;
    } ? E["data"] : void) => void;
}
