export type PromiseCallback<T> = () => Promise<T>;
export type QueueCallback<T> = PromiseCallback<T> | (() => T);
interface PromiseQueueOpts {
    name: string;
    debug?: boolean;
    concurrency?: number;
}
/**
 * A promise queue with de-duplication
 */
export declare class PromiseQueue {
    private items;
    private runningTasks;
    private name;
    private debug;
    private concurrency;
    constructor(options: PromiseQueueOpts);
    private processQueue;
    /**
     * Add a new promise callback to the queue
     *
     * in case you provide a key it will be used to de-duplicate against existing items in the queue
     * if there is an existing item, the callback of that item will be used and this function will
     * return the result of that callback instead
     */
    add<T>(callback: QueueCallback<T>, key?: string): Promise<T>;
}
export {};
