export declare class SliceList<T> {
    private idx;
    private store;
    /**
     * Add a value to the list
     *
     * @returns a unique reference to delete the item
     */
    add(value: T): number;
    /**
     * Remove a value using the unique reference
     */
    remove(idx: number): void;
    /**
     * Get values as an iterator
     */
    values(): IterableIterator<T>;
    /**
     * Get values as an array
     */
    array(): Array<T>;
    /**
     * Get amount of items in the list
     */
    size(): number;
}
