/// <reference types="cross-fetch" />
/// <reference lib="dom" />
import { pRetry } from "./index";
/**
 * Fetches a resource using the provided config and retries if it fails with a network or server availability error
 *
 * @param {RequestInfo} input: request info for fetch
 * @param {RequestInit} init: request options for fetch
 * @param {pRetry.PromiseRetryOptions} retryOptions: Retry configuration
 * @returns {Response}
 */
export declare function retryFetch(input: RequestInfo, init?: RequestInit, retryOptions?: pRetry.PromiseRetryOptions): Promise<Response>;
export { fetch } from "cross-fetch";
