import { TextOperation } from ".";
export declare class OperationBuffer {
    offset: number;
    operations: TextOperation[];
    constructor();
    /**
     * Returns the current revision in the buffer
     */
    get revision(): number;
    /**
     * Add new operation to the buffer
     */
    push(operation: TextOperation): void;
    /**
     * Get operation from buffer at given revision
     */
    get(revision: number): TextOperation | null;
    /**
     * Get all operations after a certain revision/offset
     */
    slice(offset: number): TextOperation[];
    /**
     * Remove all operations from the buffer that happened before the specified revision
     *
     * @param revision the oldest revision that should be kept in the buffer
     */
    clear(revision: number): void;
}
