import { IDiffChange } from "vscode-diff";
import { TextOperation } from "./TextOperation";
/**
 * Takes two strings and uses an alghoritm to figure out exactly where changes has been made
 * to the string. Imagine Prettier adding semi colons, this diff will identify as an array
 * each semicolon inserted, meaning the operation we create from this only holds
 * the semicolon changes.
 */
export declare function findDiff(originalText: string, modifiedText: string, pretty: boolean): IDiffChange[];
/**
 * Takes two strings and returns an operation representing the exact changes made between
 * the two strings. Normally the first difference in the strings would state that everything
 * after that point is also different, but not here. It uses an alghoritm to figure this
 * stuff out
 */
export declare function createDiffTextOperation(originalText: string, modifiedText: string): TextOperation;
