export type TimeoutExceeded = {
    type: "timeout-exceeded";
    timeoutMs: number;
};
export type TimeoutSucceeded<T> = {
    type: "ok";
    result: T;
};
export type TimeoutResult<T> = TimeoutExceeded | TimeoutSucceeded<T>;
/**
 * Will wait for the given promise, but will timeout after the given `timeoutMs` exceeds,
 * returning a `TimeoutExceeded` result.
 */
export declare function timeout<T>(promise: Promise<T>, timeoutMs: number): Promise<TimeoutResult<T>>;
